Summary:    Enterprise Security Client Smart Card Client
Name:       esc 
Version:    1.1.2
Release:    3%{?dist}
License:    GPL+
URL:        https://github.com/mjibson/esc
Source0:    http://pki.fedoraproject.org/pki/sources/%name/%{name}-%{version}.tar.bz2 
Source1:    http://pki.fedoraproject.org/pki/sources/%name/esc
Source2:    http://pki.fedoraproject.org/pki/sources/%name/esc.desktop
Source3:    http://pki.fedoraproject.org/pki/sources/%name/esc.png

Patch3000:  esc-gcc11.patch

BuildRequires: gcc-c++ make pkgconfig
BuildRequires: glib2-devel nspr-devel nss-devel nss-static pcsc-lite-devel desktop-file-utils
BuildRequires: atk-devel dbus-glib-devel opensc gobject-introspection-devel gtk3-devel gjs-devel
Requires:      pcsc-lite nss nspr dbus opensc gjs gobject-introspection gtk3 glib2

AutoReqProv: 0

%description
Enterprise Security Client allows the user to enroll and manage their
cryptographic smartcards.


%prep
%autosetup -c -n %{name}-%{version} -p1


%build
export CXXFLAGS="-std=c++14 %{optflags}"
echo "build section" $PWD
cd esc 
autoreconf -fiv
%configure --bindir %{_libdir}/%{name}-%{version} --libdir %{_libdir}/%{name}-%{version}/lib --datadir %{_datadir}
%make_build -j1


%install
echo "install section" $PWD
cd esc
%make_install
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps
mkdir -p %{buildroot}/%{_datadir}/applications
mkdir -p %{buildroot}/%{_datadir}/pixmaps
mkdir -p %{buildroot}/%{_defaultdocdir}/%{name}-%{version}
echo "dir: "  %{buildroot}/%{_bindir}/%{name}
sed -e 's;\$LIBDIR;'%{_libdir}';g'  %{SOURCE1} > %{buildroot}/%{_bindir}/%{name}
chmod 755 %{buildroot}/%{_bindir}/%{name}
rm %{buildroot}/%{_libdir}/%{name}-%{version}/lib/*.a
rm %{buildroot}/%{_libdir}/%{name}-%{version}/lib/*.la
rm -r %{buildroot}/%{_includedir}/coolkey-mgr/
rm -r %{buildroot}/%{_datadir}/gir-*/
cp %{SOURCE3} %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps
cp %{SOURCE3} %{buildroot}/%{_datadir}/pixmaps/esc.png
cp %{SOURCE2} %{buildroot}/%{_datadir}/applications


%files
%license esc/LICENSE
%{_bindir}/esc
%{_libdir}/%{name}-%{version}/lib
%{_libdir}/%{name}-%{version}/esc.js
%{_libdir}/%{name}-%{version}/opensc.esc.conf
%{_datadir}/icons/hicolor/48x48/apps/esc.png
%{_datadir}/pixmaps/esc.png
%{_datadir}/applications/esc.desktop


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.2-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 28 2023 Miaojun Dong <zoedong@tencent.com> - 1.1.2-1
- initial build
